List federatedIdentityCredentials
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get a list of the federatedIdentityCredential objects and their properties.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Application.Read.All, Application.ReadWrite.All |
| Delegated (personal Microsoft account) | Application.ReadWrite.All |
| Application | Application.Read.All, Application.ReadWrite.OwnedBy, Application.ReadWrite.All |
HTTP request
GET /applications/{applicationsId}/federatedIdentityCredentials
Optional query parameters
This method supports the $filter (eq) and $select OData query parameters to help customize the response. For example, /applications/{id}/federatedIdentityCredentials?$filter=subject eq 'value'.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of federatedIdentityCredential objects in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/applications/bcd7c908-1c4d-4d48-93ee-ff38349a75c8/federatedIdentityCredentials/
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.id": "https://graph.microsoft.com/v2/3d1e2be9-a10a-4a0c-8380-7ce190f98ed9/directoryObjects/$/Microsoft.DirectoryServices.Application('bcd7c908-1c4d-4d48-93ee-ff38349a75c8')/federatedIdentityCredentials/bdad0963-4a7a-43ae-b569-e67e1da3f2c0",
"id": "bdad0963-4a7a-43ae-b569-e67e1da3f2c0",
"name": "testing",
"issuer": "https://login.microsoftonline.com/3d1e2be9-a10a-4a0c-8380-7ce190f98ed9/v2.0",
"subject": "a7d388c3-5e3f-4959-ac7d-786b3383006a",
"description": "This is my test federated identity credential 03",
"audiences": [
"api://AzureADTokenExchange"
]
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk